#include <string.h>
#include "notice.h"

char Notice::_notice[1024] = { 0 };

Notice::Notice()
{
	// Nothing
}

Notice::~Notice()
{
	// Nothing
}

void Notice::setNotice(const char *notice)
{
	// Copy in
	strncpy(_notice, notice, 1023);
	
	// Just in case
	_notice[1023] = 0;
}

void Notice::getNotice(char *notice)
{
	// Copy out
	strcpy(notice, _notice);
	
	// Clear
	_notice[0] = 0;
}

bool Notice::newNotice()
{
	// Just say if there's anything on the notice text
	return _notice[0] != 0;
}
